# mosquitto_sub  -v -t workshop/status

esphome:
  # todo: needs rename 
  name: workshop
  platform: esp32
  board: lolin32

logger:
  level: DEBUG

wifi:
  networks:
  - ssid: !secret wifi_ssid
    password: !secret wifi_password

ota:
  platform: esphome

mqtt:
  id: mqtt_client
  broker: "mqtt2.bigasterisk.com"
     
light:
  - platform: status_led
    id: "status_out"
    pin: 2
  - { platform: monochromatic, name: high0, output: out1 }
  - { platform: monochromatic, name: high1, output: out4 }
  - { platform: monochromatic, name: high2, output: out2 }
  - { platform: monochromatic, name: high3, output: out6 }
  - { platform: monochromatic, name: kid, output: out3 }
  - { platform: monochromatic, name: out5, output: out5 }
  - { platform: monochromatic, name: out7, output: out7 }
  - { platform: monochromatic, name: sewing, output: out0 }

i2c:
  sda: 21
  scl: 22
  scan: True
  id: bus_a

pca9685:
  - frequency: 500
    address: 0x40

output:
  - { platform: pca9685, id: "out0", channel: 0 }
  - { platform: pca9685, id: "out1", channel: 1 }
  - { platform: pca9685, id: "out2", channel: 2 }
  - { platform: pca9685, id: "out3", channel: 3 }
  - { platform: pca9685, id: "out4", channel: 4 }
  - { platform: pca9685, id: "out5", channel: 5 }
  - { platform: pca9685, id: "out6", channel: 6 }
  - { platform: pca9685, id: "out7", channel: 7 }

